Bug 169251 - [PATCH] net-mgmt/smokeping: fix broken stop/restart rc script features
[PATCH] net-mgmt/smokeping: fix broken stop/restart rc script features
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 03:40 UTC by Mark Felder
Modified: 2012-06-29 17:30 UTC (History)
1 user (show)

See Also:


Attachments
smokeping-2.6.7_3.patch (844 bytes, patch)
2012-06-20 03:40 UTC, Mark Felder
no flags Details | Diff
smokeping-2.6.7_3.patchv2 (2.23 KB, application/octet-stream)
2012-06-21 20:50 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2012-06-20 03:40:08 UTC
Both stop and restart are broken in the current rc script. After experimentation and testing
I found the following changes fix the issue. This is also documented in PR 114593 which apparently
was never committed. (??) Claims to have been "Fixed by other means" ?

Looks like new maintainer in May 2012. Rodrigo, please test and reply. Thanks!!

Port maintainer (rodrigo@bebik.net) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-20 03:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-20 03:40:21 UTC
Maintainer of net-mgmt/smokeping,

Please note that PR ports/169251 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169251

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-20 03:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mark Felder freebsd_committer 2012-06-21 20:50:00 UTC
I made a revision of this patch because further testing proved this would  
not always work successfully. We have a FreeBSD Xen VM that we run  
smokeping on which happens to daemonize smokeping as [perl] for some  
reason, so utilizing command_interpreter will not work here. Instead I  
wrote from scratch some of the functionality rc.subr should provide while  
trying my best to adhere to the standardized methods.

This patch also removes the stopping of the daemon upon @unexec, and  
ensures that the logfile exists because some functionality (running as a  
slave) will not work correctly without a writable logfile.

We also should be using REQUIRE: LOGIN not REQUIRE: sshd, so that has been  
fixed.

Redports: https://redports.org/buildarchive/20120621191433-4905/
Comment 5 rodrigo 2012-06-29 14:37:52 UTC
Hi,

Good for me, you can commit it.
Thanks Mark for your contribution.

- rodrigo


On 20/06/12 02:40 +0000, Edwin Groothuis wrote:
> Maintainer of net-mgmt/smokeping,
> 
> Please note that PR ports/169251 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169251
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 dfilter freebsd_committer 2012-06-29 17:22:52 UTC
swills      2012-06-29 16:22:41 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/smokeping   Makefile pkg-plist 
    net-mgmt/smokeping/files smokeping.in 
  Log:
  - Fix rc script
  - Remove @stopdaemon
  - Bump PORTREVISION
  
  PR:             ports/169251
  Submitted by:   Mark Felder <feld@feld.me>
  Approved by:    Rodrigo OSORIO <rodrigo@bebik.net> (maintainer)
  
  Revision  Changes    Path
  1.60      +1 -1      ports/net-mgmt/smokeping/Makefile
  1.7       +43 -4     ports/net-mgmt/smokeping/files/smokeping.in
  1.27      +0 -1      ports/net-mgmt/smokeping/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2012-06-29 17:22:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!